#!/bin/sh
#
# Startup/shutdown script for vpctimed on FreeBSD
# 
# Vpctimed is meant to run under Connectix Virtual PC.  It synchronizes
# the time in the guest OS with the time according to the host.
#

#
# Get pid of vpctimed.
#

kill_vpctimed() {
    if [ -f /var/run/vpctimed.pid ] ; then
	kill `cat /var/run/vpctimed.pid`
	if [ $? -eq 0 ] ; then
	    return 0
	fi
    fi

    killall vpctimed >/dev/null 2>&1
    return 0
}

#
# Start or stop the daemon
#

case $1 in
    start | restart | reload)
	kill_vpctimed
	/usr/local/sbin/vpctimed
	echo -n " vpctimed"
	;;

    stop)
	kill_vpctimed
	echo -n " vpctimed"
	;;

    *)
	echo "Usage: vpctimed.sh {reload|restart|start|status|stop}"
	exit 1
	;;
esac

#
# Done.
#

exit 0
